Page MenuHomePhabricator

Language selector search and close icons misplaced
Closed, ResolvedPublic

Description

The search icon and the "X " close icon appear out of the selector itself due to size constraints (unless you make the window really big)

There are some overrides that could solve the issue, but feel free to use a different solution:

.uls-narrow.grid .uls-search {
padding-left: 10%;
padding-right: 10%;
}

.uls-narrow.grid .uls-lcd-region-section {
	padding-left: 13%;
}

.uls-narrow {
	max-width: 250px;
}

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added subscribers: Pginer-WMF, Amire80.
Amire80 triaged this task as High priority.Jan 12 2015, 12:08 PM
Amire80 lowered the priority of this task from High to Medium.
Arrbee raised the priority of this task from Medium to High.Feb 2 2015, 8:13 AM
Arrbee moved this task from Needs Triage to Long term on the ContentTranslation board.
Arrbee lowered the priority of this task from High to Medium.Feb 2 2015, 9:23 AM
Arrbee added a subscriber: Arrbee.
Arrbee lowered the priority of this task from Medium to Low.Feb 4 2015, 2:41 PM
Arrbee edited projects, added LE-Sprint-83; removed LE-Sprint-82.Feb 24 2015, 7:33 AM
Arrbee edited a custom field.Feb 25 2015, 5:50 AM
Arrbee lowered the priority of this task from Low to Lowest.Feb 25 2015, 3:33 PM
Arrbee removed a project: LE-Sprint-83.
Arrbee moved this task from Long term to CX5 on the ContentTranslation board.Apr 20 2015, 6:06 AM
Amire80 edited a custom field.
Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:32 PM
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 5:17 PM
Nikerabbit added a subscriber: Nikerabbit.

https://github.com/wikimedia/jquery.uls/pull/212 is likely to fix it. Adding it to sprint to check.

Nikerabbit moved this task from Blocked to Done on the Language-Q4-2016-Sprint 1 board.
Arrbee closed this task as Resolved.Apr 19 2016, 4:48 AM